## org.omg.PortableServer
Class LifespanPolicyValueHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.LifespanPolicyValueHelper

public class LifespanPolicyValueHelper
extends java.lang.Object

Helper class for : LifespanPolicyValue

Author:
  OpenORB Compiler

Constructor Summary
`LifespanPolicyValueHelper()`

Method Summary
`static LifespanPolicyValue` `extract(Any a)` Extract LifespanPolicyValue from an any
`static java.lang.String` `id()` Return the LifespanPolicyValue IDL ID
`static void` `insert(Any a, LifespanPolicyValue t)` Insert LifespanPolicyValue into an any
`static LifespanPolicyValue` `read(InputStream istream)` Read LifespanPolicyValue from a marshalled stream
`static TypeCode` `type()` Return the LifespanPolicyValue TypeCode
`static void` `write(OutputStream ostream, LifespanPolicyValue value)` Write LifespanPolicyValue into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LifespanPolicyValueHelper

    public LifespanPolicyValueHelper()

Method Detail

### insert

    public static void insert(Any a,
                              LifespanPolicyValue t)

  Insert LifespanPolicyValue into an any
  Parameters:
    `a` - an any
    `t` - LifespanPolicyValue value

### extract

    public static LifespanPolicyValue extract(Any a)

  Extract LifespanPolicyValue from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted LifespanPolicyValue value

### type

    public static TypeCode type()

  Return the LifespanPolicyValue TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the LifespanPolicyValue IDL ID
  Returns:
    an ID

### read

    public static LifespanPolicyValue read(InputStream istream)

  Read LifespanPolicyValue from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed LifespanPolicyValue value

### write

    public static void write(OutputStream ostream,
                             LifespanPolicyValue value)

  Write LifespanPolicyValue into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - LifespanPolicyValue value